Imports System.ServiceProcess
Imports System.Configuration.Install
Imports System.ComponentModel

<RunInstaller(True)> _
Public Class ProjectInstaller
    Inherits Installer
    Private ReadOnly _process As ServiceProcessInstaller
    Private ReadOnly _service As ServiceInstaller

    Public Sub New()
        _process = New ServiceProcessInstaller()
        _process.Account = ServiceAccount.LocalSystem
        _service = New ServiceInstaller()
        _service.ServiceName = "GPSConnectorService"
        Installers.Add(_process)
        Installers.Add(_service)
    End Sub
End Class
